# w.c.s. - web application for online forms
# Copyright (C) 2005-2010  Entr'ouvert
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

from quixote import get_publisher

from .. import get_cfg

def cfg_submit(form, cfg_key, fields):
    get_publisher().reload_cfg()
    cfg_key = str(cfg_key)
    cfg_dict = get_cfg(cfg_key, {})
    for k in fields:
        cfg_dict[str(k)] = form.get_widget(k).parse()
    get_publisher().cfg[cfg_key] = cfg_dict
    get_publisher().write_cfg()


